Endpoints
4 min
Pathfix has a single pattern for calls to all providers. Changing the user_idand public_keyprovides the endpoint with the instruction to invoke the correct access_token needed to to complete the API request. The list of supported OAuth Providers names can be found Provider reference
POST https://labs.pathfix.com/oauth/method/{providername}/call
Example
An example of how a call will be made to Google Calendar to get a List of Calendars for the connected user. Assumptions
- Your Pathfix Application public key is "aaaa-bbbb-cccc-dddd"
- The user [email protected] has previously logged into your solution and connected their Google Calendar.
function pushMessage() {
//build the payload
//payload and header can be excluded in they do not carry any information
var pfxPayload = {
"url":"https://www.googleapis.com/calendar/v3/users/me/calendarList",
"method":"GET",
"payload":{},
"headers":{}
};
//build the url
var pfxUrl = new URL("https://labs.pathfix.com/oauth/method/googlecalendar/call");
pfxUrl.searchParams.set("user_id", "[email protected]");
pfxUrl.searchParams.set("public_key", "aaaa-bbbb-cccc-dddd");
//POST to pathfix
$.post(pfxUrl,JSON.stringify(pfxPayload),(response)=>{console.log(response)});
}`
Success Response
{
"rows":[
{
"pincStatus":"success",
"statusCode":200,
"contentType":"application/json",
"data":{
}
}
]
}
The data returned from the provider (Google Calendar) will be container in the rows[0].data . Documentation about the information in returned can be found at the provider API documentation.
Error Response
{
"rows":[
{
"pincStatus":"error",
"statusCode":"HTTP_STATUS_CODE",
"errorType":"ERROR-TYPES",
"inernalError":""
}
]
}
List of ERROR-TYPES and their description can be found here Error codes